package se.deig.tts.dummy;

import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;

import se.deig.tts.TTSInterface;

public class DummyTTS implements TTSInterface {

	@Override
	public String getTTSEngineName() {
		return "Dummy TTS";
	}

	@Override
	public boolean isTTSAvailable() {
		return true;
	}
	
	@Override
	public String getInfo() {
		return "Placeholder that does not provide any TTS. Replace this with a proper TTSInterface implementation!";
	}
	
	@Override
	public List<String> getLanguages() {
		ArrayList<String> res = new ArrayList<String>();
		res.add("No real language");
		return res;
	}

	@Override
	public List<String> getVoices(String language) {
		ArrayList<String> res = new ArrayList<String>();
		res.add("Test");
		return res;
	}

	@Override
	public boolean supportsSpeedParameter() {
		return false;
	}

	@Override
	public boolean supportsPitchParameter() {
		return false;
	}

	public boolean createWavFile(String line, String language, String voice, int speed, int pitch, File fileLocation) {
		try {
			InputStream input = getClass().getClassLoader().getResourceAsStream("se/deig/tts/dummy/missing.wav");
			OutputStream output = null;
			try {
				output = new FileOutputStream(fileLocation);
				byte[] buf = new byte[10240];
				int bytesRead;
				while ((bytesRead = input.read(buf)) > 0) {
					output.write(buf, 0, bytesRead);
				}
			} finally {
				if (input != null)
					input.close();
				if (output != null)
					output.close();
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
		return false;
	}

}
